@import url("https://fonts.googleapis.com/css2?family=Nunito:wght@300&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Work+Sans:wght@600&display=swap");

.homepageContainer {
    width: 100%;

    /* overflow: hidden; */
}

.vector1Container {
    width: 100%;

    position: relative;
}
.vector1 {
    position: absolute;
    right: 0px;
    top: 0px;
    z-index: -1;
    overflow: hidden;
}

.vector2 {
    position: absolute;
    top: 540px;
    z-index: -1;
    overflow: hidden;
}

.homeHeader {
    width: 100%;
    padding: 10px 0px;
}

.homeNav {
    display: flex;
    width: 85%;
    margin: 0 auto;
    padding: 10px 0px;
    justify-content: space-between;
    align-items: center;
}

.homeButtonContainer {
    display: flex;
    gap: 25px;
}

.homeButtonContainer button {
    padding: 10px 15px;
    width: 100px;
    border-radius: 4px;

    box-shadow: rgba(41, 132, 182, 0.2) 0px 5px 15px;
    font-family: "Nunito", sans-serif;
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    cursor: pointer;
}

.buttonLoginHomepage {
    background-color: #1e8ac6;
    color: #fff;
    border: none;
    transition-duration: 0.3s;
    transition-property: transform;
}
.buttonLoginHomepage:active {
    transform: scale(0.9);
}

.buttonSignupHomepage {
    border: 1px solid #8f9fc9;
    background-color: #f5f8fd;
    color: #333333;
    transition-duration: 0.3s;
    transition-property: transform;
}
.buttonSignupHomepage:active {
    transform: scale(0.9);
}

.homeContent {
    width: 87%;
    margin: 30px auto;
    position: relative;
    display: flex;
    justify-content: space-between;
    overflow: visible;
    align-items: center;
}

.contentLeft {
    width: 50%;

    margin-top: -100px;
}

.contentLeft p {
    font-size: 34px;
    letter-spacing: -0.02em;
    /* margin-bottom: -8px; */
}

.contentLeft h2 {
    font-family: "Work Sans", sans-serif;
    font-size: 48px;
    font-weight: bold;
    letter-spacing: -0.02em;
    margin-top: -10px;
}

.paragraphContainer {
    width: 75%;
    margin-top: 12px;
    font-family: "Nunito", sans-serif;
}

.paragraphContainer p {
    font-size: 16px;
    color: #4f4f4f;
    font-family: "Nunito", sans-serif;
    line-height: 22px;
    font-weight: bold;
}

.contentRight {
    width: 50%;
    overflow: visible;
    position: relative;
}

.homeSearch {
    text-align: center;
    width: 100%;
    height: 133px;
    padding: 40px;
    border-radius: 8px;
    background-color: #607cc5;
    box-shadow: 0px 4px 32px rgba(37, 69, 87, 0.3);
    z-index: 9;
    position: absolute;
}

.homeInputContainer {
    height: 100%;
    width: 100%;
    border-radius: 8px;
    position: relative;
}

.homeInputContainer input {
    width: 100%;
    height: 100%;
    padding: 10px;
    border: none;
    outline: none;
}

.iconSearch {
    position: absolute;
    z-index: 9;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
}

.displayForum {
    width: 100%;

    margin: 50px auto 0 auto;
    /* padding-top: 40px  ; */
    z-index: -9;
}

.displayForum img {
    width: 100%;
    cursor: pointer;
}

.homeContent2 {
    display: flex;
    width: 90%;
    margin: 0 auto;
    align-items: center;
}

.contentLeft2 {
    width: 50%;
    display: flex;
    height: 630px;
    overflow: visible;
    position: relative;
}
.contentRight2 {
    width: 50%;
    overflow: visible;
    padding: 30px;
}

.contentRight2 p {
    font-size: 34px;
    letter-spacing: -0.02em;
}

.contentRight2 h2 {
    font-family: "Work Sans", sans-serif;
    font-size: 48px;
    font-weight: bold;
    letter-spacing: -0.02em;
    margin-top: -10px;
}

.content1_2 img:last-child {
    margin-top: -40px;
}

.content1_2 {
    overflow: visible;
    width: 50%;
}

.content2_2 {
    position: absolute;
    width: 50%;
    right: 30px;
    bottom: 0px;
}

.content2_2 img:last-child {
    margin-top: -40px;
}

.paragraphContainer p {
    font-size: 16px;
    color: #4f4f4f;
    font-family: "Nunito", sans-serif;
    line-height: 22px;
    font-weight: bold;
}
